Name:           perl-PDF-Create
Version:        1.10
Release:        1%{?dist}
Summary:        Create PDF files
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PDF-Create/
Source0:        http://www.cpan.org/authors/id/S/SZ/SZABGAB/PDF-Create-%{version}.tar.gz
Source1:        LICENSE
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Test::LeakTrace)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module allows you to create PDF documents using a large number of
primitives, and emit the result as a PDF file or stream. PDF stands for
Portable Document Format.

Documents can have several pages, a table of content, an information section
and many other PDF elements. More functionalities will be added as needs arise.

Documents are constructed on the fly so the memory footprint is not tied to the
size of the pages but only to their number.

%prep
%setup -q -n PDF-Create-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
cp -p %{SOURCE1} %{_builddir}/PDF-Create-%{version}/

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc CHANGES pdf-logo.svg LICENSE README
%{perl_vendorlib}/PDF
%{_mandir}/man3/*.3*

%changelog
* Sun Jun 21 2015 Lucian Langa <lucilanga@gnome.eu.org> - 1.10-1
- cleanup spec
- update source url
- update to latest upstream release

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.04-15
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.04-14
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.04-11
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 1.04-8
- Perl 5.16 rebuild
- Specify all dependencies

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.04-6
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.04-4
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.04-3
- Mass rebuild with perl-5.12.0

* Thu Dec 17 2009 Lucian Langa <cooly@gnome.eu.org> - 1.04-2
- add license clarification

* Fri Nov 27 2009 Lucian Langa <cooly@gnome.eu.org> - 1.04-1
- Specfile autogenerated by cpanspec 1.78.
